# Document

the Document API

## POST /erp/documents

> create a new document

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Document","description":"the Document API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/documents":{"post":{"tags":["Document"],"summary":"create a new document","operationId":"createDocument","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentTypeTransitionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentResponse"}}}}}}}},"components":{"schemas":{"erp-document-DocumentTypeTransitionRequest":{"properties":{"transitionId":{"type":"string","description":"transition id"},"targetTypeId":{"type":"integer","format":"int64","description":"Ggf. die ID der  Ziel-Belegart"},"parameters":{"type":"array","description":"additional parameters for transition","items":{"$ref":"#/components/schemas/common-api-AdditionalParameter"}},"document":{"$ref":"#/components/schemas/erp-document-RequestDocument"}},"required":["transitionId"]},"common-api-AdditionalParameter":{"description":"Zusätzliche Parameter","properties":{"key":{"type":"string","description":"key for this parameter"},"value":{"type":"object","description":"value for this parameter"}},"required":["key"]},"erp-document-RequestDocument":{"description":"Details zum zu erstellenden oder zu bearbeitenden Beleg","properties":{"accountId":{"type":"string","description":"account-id to create a new Document"},"salesChannelId":{"type":"string","description":"sales-channel-id to create a new Document"},"externalId":{"type":"string","description":"reference to the corresponding document in an external system"},"externalNumber":{"type":"string","description":"externe Belegnummer"},"billingType":{"type":"string","description":"billing type","enum":["GROSS","NET"]},"calculationMode":{"type":"string","description":"calculation mode","enum":["HORIZONTAL","VERTICAL"]},"documentDate":{"type":"string","format":"date","description":"Belegdatum"},"performanceDate":{"type":"string","format":"date","description":"Leistungsdatum"},"supplierAccountId":{"type":"integer","format":"int64","description":"Vorgabelieferant bei Übernahme von Auftrag zu Bestellung(en)"},"lines":{"type":"array","description":"Dokumentzeilen","items":{"$ref":"#/components/schemas/erp-document-RequestDocumentLine"}},"targetDocumentType":{"$ref":"#/components/schemas/erp-document-DocumentType"},"incomingGoodsPickTrolleyId":{"type":"integer","format":"int64","description":"ID vom Pickwagen für den Wareneingang (wenn incomingGoodsStorageBinId = null)"},"incomingGoodsStorageBinId":{"type":"integer","format":"int64","description":"ID vom Lagerplatz für den Wareneingang (wenn incomingGoodsPickTrolleyId = null)"},"priceModifiers":{"type":"array","description":"Die Rabatte des Beleges","items":{"$ref":"#/components/schemas/erp-document-RequestDocumentPriceModifier"}},"posRegisterId":{"type":"integer","format":"int64","description":"ID der Kasse (bei POS)"},"cashDrawerId":{"type":"integer","format":"int64","description":"ID der Kassenschublade (bei POS)"},"depositPaymentAmount":{"type":"number","description":"Der Anzahlungsbetrag"},"progressInvoiceIds":{"type":"array","description":"IDs der zu übernehmenden Abschlagsrechnungen (für Teilrechnungen)","items":{"type":"integer","format":"int64","description":"IDs der zu übernehmenden Abschlagsrechnungen (für Teilrechnungen)"}},"depositInvoiceIds":{"type":"array","description":"IDs der zu übernehmenden Anzahlungsrechnungen (für Teilrechnungen)","items":{"type":"integer","format":"int64","description":"IDs der zu übernehmenden Anzahlungsrechnungen (für Teilrechnungen)"}},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentPosDetail"},"posPayments":{"type":"array","description":"Eine oder mehr Kassenzahlungen","items":{"$ref":"#/components/schemas/erp-document-DocumentPosPayment"}},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"einvoice":{"type":"boolean"}}},"erp-document-RequestDocumentLine":{"description":"Details zum zu erstellenden oder zu bearbeitenden Beleg","properties":{"name":{"type":"string","description":"Artikelname"},"positionOfArticleLine":{"type":"integer","format":"int32","description":"Positionsnummer der Artikel"},"description":{"type":"string","description":"Artikelbeschreibung"},"lineId":{"type":"string","description":"ID der Belegposition im aktuellen Beleg"},"sourceLineId":{"type":"string","description":"ID der Quell-Belegposition"},"refLineId":{"type":"string","description":"(optional) ID der referenzierten Belegposition"},"articleId":{"type":"string","description":"(optional) ID des Artikels dieser Position"},"externalId":{"type":"string","description":"Referenz auf die zugehörige Position in einem externen System"},"productPrice":{"type":"number","description":"(optional) Preis des Artikels dieser Position"},"totalLinePrice":{"type":"number","description":"(optional) Gesamtpreis dieser Position"},"priceModifiers":{"type":"array","description":"(optional) Liste von Preismodifikatoren für diese Position","items":{"$ref":"#/components/schemas/erp-document-RequestDocumentPriceModifier"}},"texts":{"type":"array","description":"(optional) Liste von Texten für diese Position","items":{"$ref":"#/components/schemas/erp-document-RequestDocumentText"}},"quantity":{"type":"number","description":"Menge, die in dieser Transaktion verarbeitet werden soll"},"storageId":{"type":"string","description":"(optional) Lager-ID"},"markCompleted":{"type":"boolean","default":false,"description":"Soll die Quellposition nach erfolgreicher Verarbeitung als abgeschlossen markiert werden?"},"supplierAccountId":{"type":"integer","format":"int64","description":"Wird für die Umwandlung von Kundenauftrag in Lieferantenauftrag benötigt"},"bookings":{"type":"array","description":"Buchungen zu dieser Belegposition","items":{"$ref":"#/components/schemas/erp-document-RequestDocumentLineBooking"}},"commissions":{"type":"array","description":"Provisionen zu dieser Belegposition","items":{"$ref":"#/components/schemas/erp-document-RequestDocumentLineCommission"}},"commissionOrigin":{"type":"string","description":"Provisionsherkunft dieser Belegposition","enum":["NOT_COMMISSIONABLE","USER_DEFINED","AUTOMATIC","PREDECESSOR","RECALCULATE"]},"lineType":{"type":"string","description":"Typ dieser Position","enum":["ARTICLE_LINE","ALTERNATIVE_POSITION","LINK_POSITION","OPTIONAL_POSITION","TEXT_LINE","SHIPPING_COST_LINE","SUBTOTAL","POS"]},"financeBooking":{"$ref":"#/components/schemas/erp-document-DocumentFinanceBooking"},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentLinePosDetail"},"incomingGoodsPickTrolleyId":{"type":"integer","format":"int64","description":"ID des Pickwagens für den Wareneingang (wenn `incomingGoodsStorageBinId` = null)"},"incomingGoodsStorageBinId":{"type":"integer","format":"int64","description":"ID des Lagerplatzes für den Wareneingang (wenn `incomingGoodsPickTrolleyId` = null)"},"dropShippingPolicy":{"type":"string","description":"Definiert, ob und wie ein Artikel per Streckengeschäft verkauft werden darf","enum":["ANY","DROP_SHIPPING","STORAGE","STORAGE_WITH_FALLBACK_TO_DROP_SHIPPING"]},"fabricationDetail":{"$ref":"#/components/schemas/erp-document-RequestDocumentLineFabricationDetail"}}},"erp-document-RequestDocumentPriceModifier":{"description":"Die Rabatte des Beleges","properties":{"modifierValue":{"type":"number","description":"modifierValue of this line"},"valueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"modifierName":{"type":"string","description":"modifierName of this line"},"modifierType":{"type":"string","description":"type of this price modifier (discount/surcharge)","enum":["DISCOUNT","SURCHARGE"]},"sourceType":{"type":"string","description":"Source of price modifier","enum":["CUSTOM","PRODUCT","DISCOUNT_GROUP"]}},"required":["modifierType","modifierValue","valueType"]},"erp-document-RequestDocumentText":{"description":"(optional) Liste von Texten für diese Position","properties":{"textPosition":{"type":"string","description":"header or footer text","enum":["HEADER_TEXT","FOOTER_TEXT"]},"content":{"type":"string","description":"text content"}}},"erp-document-RequestDocumentLineBooking":{"description":"Buchungen zu dieser Belegposition","properties":{"sourceComponentId":{"type":"integer","format":"int64","description":"ID der bebuchten Quell-DocumentLineComponent"},"quantity":{"type":"number","description":"Gebuchte Menge"},"storageBinId":{"type":"integer","format":"int64","description":"ID vom bebuchten Lagerplatz"},"serialNumberId":{"type":"integer","format":"int64","description":"Ggf. ID einer zu buchenden Seriennummer"}},"required":["quantity","sourceComponentId","storageBinId"]},"erp-document-RequestDocumentLineCommission":{"description":"Provisionen zu dieser Belegposition","properties":{"salesAgentAccountRef":{"$ref":"#/components/schemas/erp-account-Account"},"description":{"type":"string","description":"Beschreibung"},"comment":{"type":"string","description":"Kommentar"},"valueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"value":{"type":"number","description":"Provision Prozent/Wert"},"origin":{"type":"string","description":"Herkunft","enum":["NOT_COMMISSIONABLE","USER_DEFINED","AUTOMATIC","PREDECESSOR","RECALCULATE"]}},"required":["origin","salesAgentAccountRef","value","valueType"]},"erp-account-Account":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"types":{"type":"array","description":"list of types, this account is used for (e.g. CUSTOMER, SUPPLIER, ","items":{"type":"string","description":"list of types, this account is used for (e.g. CUSTOMER, SUPPLIER, ","enum":["CUSTOMER","SUPPLIER","MANUFACTURER","SERVICE_PROVIDER","MERCHANT","SALES_AGENT","COMPANY","PROSPECTIVE"]}},"number":{"type":"string","description":"Address-Number"},"displayName":{"type":"string","description":"Kurzbezeichnung zur Darstellung","readOnly":true},"active":{"type":"boolean","default":true,"description":"Is account active?","readOnly":true},"taxNumber":{"type":"string","description":"tax number/ Steuernummer","maxLength":255,"minLength":0},"remark":{"type":"string","description":"Sonderbemerkung","maxLength":1024,"minLength":0},"note":{"type":"string","description":"Notiz"},"companyLegalRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"initialContactTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"address":{"$ref":"#/components/schemas/erp-account-AccountAddress"},"person":{"$ref":"#/components/schemas/erp-account-AccountPerson"},"addresses":{"type":"array","description":"Alle Adressen außer der Standard-Adresse","items":{"$ref":"#/components/schemas/erp-account-AccountAddress"}},"persons":{"type":"array","description":"Ansprechpartner","items":{"$ref":"#/components/schemas/erp-account-AccountPerson"}},"customer":{"$ref":"#/components/schemas/erp-account-Customer"},"supplier":{"$ref":"#/components/schemas/erp-account-Supplier"},"salesAgent":{"$ref":"#/components/schemas/erp-account-SalesAgent"},"manufacturer":{"$ref":"#/components/schemas/erp-account-AccountManufacturer"},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"localCourt":{"type":"string","description":"Zuständiges Amtsgericht","maxLength":255,"minLength":0},"companyRegister":{"type":"string","description":"Handelsregister-Kennung","maxLength":255,"minLength":0},"costCenter":{"type":"string","description":"Kostenstelle"},"languageCode":{"type":"string","description":"Sprache des Accounts"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"reportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"initialContactAt":{"type":"string","format":"date","description":"Erstkontakt am"},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Umkehrung der Steuerschuld nach §13b UStG?"},"afterPickingTargetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxIds":{"type":"array","description":"Eine List von Steuernummern","items":{"$ref":"#/components/schemas/erp-account-TaxIdForeignCountry"}},"relations":{"type":"array","description":"Account-Beziehungen","items":{"$ref":"#/components/schemas/erp-account-AccountRelation"}},"dunningBlock":{"type":"boolean","default":false,"description":"Mahnsperre"},"payablesSum":{"type":"number","description":"Summe Verbindlichkeiten","readOnly":true},"payablesSumCurrencyCode":{"type":"string","description":"Währung Summe Verbindlichkeiten IsoAlpha3","readOnly":true},"anonymized":{"type":"boolean","description":"ist der Account anonymisiert?","readOnly":true},"receivablesSum":{"type":"number","description":"Summe Forderungen","readOnly":true},"receivablesSumCurrencyCode":{"type":"string","description":"Währung Summe Forderungen IsoAlpha3","readOnly":true},"loanValue":{"$ref":"#/components/schemas/erp-account-AccountLoanValue"},"loanCurrencyCode":{"type":"string","description":"Währung Kreditlimit IsoAlpha3","readOnly":true},"accountZoneId":{"type":"string","description":"Zeitzone (bzw. Zeitzonen-Offset) des Accounts","enum":["ACT","AET","AGT","ART","AST","BET","BST","CAT","CNT","CST","CTT","EAT","ECT","IET","IST","JST","MIT","NET","NST","PLT","PNT","PRT","PST","SST","VST","EST","MST","HST"]},"calculationMode":{"type":"string","description":"calculation mode of this document","enum":["HORIZONTAL","VERTICAL"]},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"hasActiveDuplicates":{"type":"boolean","default":false,"description":"Has this Account a possible duplicate"},"businessRelationType":{"type":"string","description":"Geschäftsbeziehungs-Typen für Geschäftspartner","enum":["B2B","B2C","B2G"]}},"required":["address","businessRelationType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-account-AccountAddress":{"description":"Alle Adressen außer der Standard-Adresse","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutationRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"titleRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"name1":{"type":"string","description":"Name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"Name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"Name3","maxLength":255,"minLength":0},"defaultAddress":{"type":"boolean","default":false,"description":"is this the default address of the account","readOnly":true},"types":{"type":"array","description":"the kind of usages for this address","items":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"street":{"type":"string","description":"Street","maxLength":255,"minLength":0},"globalLocationNumber":{"type":"string","description":"GLN/ILN as location identifier for this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"Street address number","maxLength":255,"minLength":0},"additionalAddressLine1":{"type":"string","description":"Additional address line1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"Additional address line2","maxLength":255,"minLength":0},"city":{"type":"string","description":"City","maxLength":255,"minLength":0},"postcode":{"type":"string","description":"Postcode","maxLength":255,"minLength":0},"en16931Profile":{"type":"string","description":"EN16931 Profil","enum":["ZUGFERD","XRECHNUNG","NO_EN_PROFILE"]},"taxIdentificationNumber":{"type":"string","description":"tax identification number/ UST-ID-Nr.","maxLength":255,"minLength":0},"taxIdVerificationState":{"type":"string","description":"Überprüfungsstatus der Steueridentifikationsnummer","enum":["NOT_YET_VERIFIED","VALID","VALID_WITH_INVALID_ADDRESS","INVALID","NOT_NEEDED"],"readOnly":true},"homepageUrl":{"type":"string","description":"Homepage URL"},"regionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"countryCode":{"type":"string","description":"Country code"},"longitude":{"type":"number","format":"double","description":"Longitude"},"latitude":{"type":"number","format":"double","description":"latitude"},"remark":{"type":"string","description":"Sonderbemerkung","maxLength":1024,"minLength":0},"postOfficeBox":{"type":"string","description":"Post office box","maxLength":255,"minLength":0},"buyerReference":{"type":"string","description":"Leitweg-ID","maxLength":255,"minLength":0},"eoriNumber":{"type":"string","description":"EORI-Nummer","maxLength":255,"minLength":0},"contacts":{"type":"array","description":"Contacts","items":{"$ref":"#/components/schemas/erp-account-Contact"}},"defaultContacts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-account-Contact"},"description":"Default contacts","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"calculationMode":{"type":"string","description":"calculation mode of this address","enum":["HORIZONTAL","VERTICAL"]},"deviatingPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deviatingPaymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deviatingDeliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deviatingDeliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"languageCode":{"type":"string","description":"Sprache der Adresse"},"defaultForType":{"type":"boolean","default":false,"description":"Standard für den Account-Typ"}},"required":["name1"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-account-Contact":{"description":"List of contacts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"value":{"type":"string","description":"A Value","maxLength":255,"minLength":0},"typeId":{"type":"string","description":"Type identifier"},"type":{"type":"string","description":"Contact type","enum":["PHONE","SOCIAL","EMAIL","FAX","SKYPE","MS_TEAMS","CUSTOM","MOBILE"]},"label":{"type":"string","description":"Contact label","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"default":{"type":"boolean","default":false,"description":"Is default contact?"}},"required":["value"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"erp-account-AccountPerson":{"description":"Ansprechpartner","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label","maxLength":255,"minLength":0},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"comment":{"type":"string","description":"Comment"},"salutationRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"titleRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"firstName":{"type":"string","description":"First name","maxLength":255,"minLength":0},"middleName":{"type":"string","description":"Middle name","maxLength":255,"minLength":0},"lastName":{"type":"string","description":"Lastname","maxLength":255,"minLength":0},"gender":{"type":"string","description":"Gender","enum":["MALE","FEMALE","ETC"]},"locale":{"type":"string","description":"Locale","maxLength":255,"minLength":0},"jobArea":{"type":"string","description":"Job area","maxLength":255,"minLength":0},"jobTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"dateOfBirth":{"type":"string","format":"date","description":"Date of birth"},"sortOrder":{"type":"integer","format":"int64","description":"sortierreihenfolge"},"remark":{"type":"string","description":"Sonderbemerkung","maxLength":1024,"minLength":0},"contacts":{"type":"array","description":"List of contacts","items":{"$ref":"#/components/schemas/erp-account-Contact"}},"defaultContacts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-account-Contact"},"description":"Default contacts","readOnly":true},"initialContactTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"initialContactAt":{"type":"string","format":"date","description":"Erstkontakt am"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Aktiv?","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"defaultPerson":{"type":"boolean","default":false,"description":"Standard-Ansprechpartner","readOnly":true}},"required":["lastName"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag-Typen","enum":["COMMON","ACCOUNT","PRODUCT","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Beschriftung des Tags"},"color":{"type":"string","description":"Farbe für die Anzeige des Tags"},"editColor":{"type":"string","description":"Farbe in Verwaltungs-GUI"},"searchColor":{"type":"string","description":"Farbe in Such-GUI"},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"erp-account-Customer":{"description":"Customer of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"number of customer","maxLength":255,"minLength":0},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"accountingNumber":{"type":"string","description":"finance account-number of customer","maxLength":255,"minLength":0},"taxable":{"type":"boolean","default":true,"description":"tax able or tax free"},"deliveryBlocked":{"type":"boolean","default":false,"description":"Hat der Kunde eine Liefersperre?"},"billingType":{"type":"string","description":"presetting of billing type","enum":["GROSS","NET"]},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productPriceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"stackProcessingType":{"type":"string","description":"Stapelverarbeitungsinformationen für Aufträge","enum":["ACCORDING_TO_CRITERIA","ONLY_FULL_ORDER","ONLY_FULL_ORDER_LINES","AVAILABLE_QUANTITIES","NO_PROCESSING","FULL_ORDER_LINES_MAX_TWO_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_TWO_PARTIAL_DELIVERIES","FULL_ORDER_LINES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_FINISH_ORDER"]},"stackProcessingPriority":{"type":"integer","format":"int32","description":"Priorität für die Stapelverarbeitung"},"maxDeliveries":{"type":"integer","format":"int32","description":"Maximal mögliche Lieferungen"},"ourNumber":{"type":"string","description":"customers number for us"},"maximalLoan":{"type":"number","description":"Kreditlimit"},"performanceCountryCode":{"type":"string","description":"country code performance country IsoAlpha3"},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"collectiveBillable":{"type":"boolean","default":false,"description":"collective billable"},"collectiveInvoiceManually":{"type":"boolean","default":true,"description":"Sammelabrechnung nur manuell auslösen?"},"dueDateCalculation":{"type":"string","description":"Cron-Ausdruck zur Berechnung der Sammelabrechnung"},"dueDate":{"type":"string","format":"date","description":"Fälligkeit der nächsten Sammelabrechnung"},"nextDueDate":{"type":"string","format":"date","description":"Nächste Fälligkeit nach der aktuellen"}}},"erp-account-Supplier":{"description":"Supplier of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountingNumber":{"type":"string","description":"finance account-number of supplier","maxLength":255,"minLength":0},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"dunning":{"type":"boolean","default":false,"description":"Mahnen?"},"number":{"type":"string","description":"number of supplier","maxLength":255,"minLength":0},"ourNumber":{"type":"string","description":"suppliers number for us","maxLength":255,"minLength":0},"billingType":{"type":"string","description":"Fakturisierungsart Netto oder Brutto","enum":["GROSS","NET"]},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultDeliveryTime":{"type":"integer","format":"int32","description":"Lieferzeit in (Werk-)Tagen"},"performanceCountryCode":{"type":"string","description":"country code performance country IsoAlpha3"},"taxable":{"type":"boolean","default":true,"description":"tax able or tax free"},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"permissibleForOrderProposal":{"type":"boolean","default":true,"description":"zulässig für Aufnahme in Bestellvorschläge"},"minimumOrderValue":{"type":"number","description":"Mindestbestellwert"},"freeShippingValue":{"type":"number","description":"Frachtkostenfrei ab"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"createCustomerDeliveryWhenDropShipping":{"type":"boolean","default":false,"description":"Erzeugung Ausgangs-Lieferschein bei Streckengeschäft-Bestellung"},"dropShippingAllowed":{"type":"boolean","default":false,"description":"Kennzeichen, ob Streckengeschäft erlaubt"}}},"erp-account-SalesAgent":{"description":"Sales Agent of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"number":{"type":"string","description":"number of sales agent","maxLength":255,"minLength":0},"commissionType":{"type":"string","description":"commission type of sales agent","enum":["INVOICE","ORDER","PAYMENT"]},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxable":{"type":"boolean","description":"is sales agent taxable"},"accountingNumber":{"type":"string","description":"accounting number"},"billingType":{"type":"string","description":"billing type","enum":["GROSS","NET"]},"performanceCountryCode":{"type":"string","description":"country code performance country IsoAlpha3"},"note":{"type":"string","description":"Bemerkung"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"}},"required":["billingType","commissionType","deliveryMethodRef","deliveryTermRef","paymentMethodRef","paymentTermRef","taxRateRef","taxable"]},"erp-account-AccountManufacturer":{"description":"Manufacturer of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"labels":{"type":"array","description":"Beschreibungen","items":{"$ref":"#/components/schemas/erp-account-AccountManufacturerDescription"}}},"required":["labels"]},"erp-account-AccountManufacturerDescription":{"description":"Beschreibungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Bezeichnung"},"description":{"type":"string","description":"Beschreibung"},"languageCode":{"type":"string","description":"Sprache der Beschreibung"},"manufacturerUrl":{"type":"string","description":"Hersteller-URL"}},"required":["label","languageCode"]},"erp-account-TaxIdForeignCountry":{"description":"Eine List von Steuernummern","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"taxId":{"type":"string","description":"Tax ID of the company in the associated country"},"countryCode":{"type":"string","description":"ISO 2 Code of the country this tax ID is used for"}}},"erp-account-AccountRelation":{"description":"Account-Beziehungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"relatedAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"comment":{"type":"string","description":"Comment"},"relationTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["relatedAccountRef","relationTypeRef"]},"erp-account-AccountLoanValue":{"description":"Aktuell berechnete Werte zum Kreditlimit eines Accounts","properties":{"accountId":{"type":"integer","format":"int64","description":"Account"},"maximalLoan":{"type":"number","description":"Kreditlimit"},"currentLoan":{"type":"number","description":"Aktueller Kredit"},"nonInvoicedDocumentLoan":{"type":"number","description":"Betrag aus Aufträgen"},"receivableLoan":{"type":"number","description":"Betrag aus Forderungen"},"payablesSum":{"type":"number","description":"Betrag aus Verbindlichkeiten(negativ)"},"currentDocumentLoan":{"type":"number","description":"Betrag des momentanen Dokuments"},"remainingLoan":{"type":"number","description":"Übriger Betrag bis zum Erreichen des Kreditlimits"},"exceededLoan":{"type":"number","description":"Überschrittener Kreditbetrag"},"unconsideredAmount":{"type":"number","description":"Nicht berücksichtigter Betrag"}},"required":["accountId"]},"erp-document-DocumentFinanceBooking":{"description":"FiBu-Buchung","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"documentLineId":{"type":"integer","format":"int64","description":"Id der Dokumentzeile"},"ledgerNumber":{"type":"string","description":"FiBu-Kontonummer"},"transactionKey":{"type":"string","description":"Buchungsschlüssel"},"costCenter1":{"type":"string","description":"Kostenstelle"},"comment":{"type":"string","description":"Kommentar"},"description":{"type":"string","description":"Buchungstext"}}},"erp-document-DocumentContractDetail":{"description":"Vertragsdetails","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"startDate":{"type":"string","format":"date","description":"Vertragsstart (nur Kopf)"},"endDate":{"type":"string","format":"date","description":"Vertragsende (nur Kopf)"},"runtimeFromDate":{"type":"string","format":"date","description":"Laufzeit von"},"runtimeToDate":{"type":"string","format":"date","description":"Laufzeit bis"},"lastCustomerCancellationDate":{"type":"string","format":"date","description":"Letztmöglicher kündigungstermin des Kunden"},"lastProviderCancellationDate":{"type":"string","format":"date","description":"Letztmöglicher kündigungstermin des Anbieters"},"dueDateCalculation":{"type":"string","description":"Cron-Ausdruck zur Berechnung der Fälligkeit"},"dueDate":{"type":"string","format":"date","description":"Fälligkeit"},"nextDueDate":{"type":"string","format":"date","description":"Nächste Fälligkeit"},"calculateDirectly":{"type":"boolean","description":"Direkt abrechnen?"},"active":{"type":"boolean","default":true,"description":"Vertrag aktiv?"},"publishInPortal":{"type":"boolean","default":false,"description":"Portal anzeigen?"}},"required":["dueDateCalculation"]},"erp-document-DocumentLinePosDetail":{"description":"Kasseninformationen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"posLineType":{"type":"string","description":"Typ der Position","enum":["CASH_PAYMENT","CASH_CHANGE","CARD_PAYMENT","CASH_START_BALANCE","CASH_FINAL_BALANCE","CASH_DEPOSIT","CASH_EXPENSE"]},"depositExpenseTypeId":{"type":"integer","format":"int64","description":"Typ der Einlage/Ausgabe"},"paymentMethodId":{"type":"integer","format":"int64","description":"Zahlungsart"},"externalPaymentId":{"type":"string","description":"Externe Payment-ID für Verbindung zum Payment-Backend"},"externalPaymentStatus":{"type":"string","description":"Status der externen Zahlung","enum":["PENDING","PROCESSING","SUCCESSFUL","CANCELLED","REJECTED"]},"externalPaymentErrorMessage":{"type":"string","description":"Fehlermeldung vom Payment-Backend (nur bei fehlgeschlagener Zahlung)"},"paymentOperation":{"type":"string","description":"Art der Zahlungsoperation (PAYMENT, CANCEL, REFUND)","enum":["PAYMENT","CANCEL","REFUND"]},"cancelledExternalPaymentId":{"type":"string","description":"Externe Payment-ID der zu stornierenden Zahlung (nur bei CANCEL)"}}},"erp-document-RequestDocumentLineFabricationDetail":{"description":"Details zur verarbeiteten Produktionsbelegposition","properties":{"fabricationSerialNumbers":{"type":"array","description":"Nur füllen, wenn die Seriennummern vor der Start der Produktion manuell bestimmt werden sollen","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationSerialNumber"}}}},"erp-fabrication-FabricationSerialNumber":{"description":"Zu produzierende Seriennummer","properties":{"quantity":{"type":"number","description":"Abweichende Menge für Chargen"},"serialNumberId":{"type":"integer","format":"int64","description":"ID der zu produzierenden Seriennummer (nur zur gezielten Produktion von bereits definierten Seriennummern)"},"serialNumber1":{"type":"string","description":"Seriennummer 1"},"serialNumber2":{"type":"string","description":"Seriennummer 2"},"expiryDate":{"type":"string","format":"date","description":"MHD / Verfallsdatum"},"note":{"type":"string","description":"Bemerkung"}}},"erp-document-DocumentType":{"description":"target document type for document copy","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"labels":{"type":"array","description":"label/name of this type","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeLabel"}},"category":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"showForManualDocumentCreation":{"type":"boolean","default":true,"description":"Darf dieser Typ zur Neuanlage von Belegen verwendet werden?"},"nextNumber":{"type":"string","description":"nächste Belegnummer","maxLength":255,"minLength":0,"readOnly":true},"followUpDocumentTypes":{"type":"array","description":"follow up document types","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"},"readOnly":true},"defaultTypeOfCategory":{"type":"boolean","default":false,"description":"ist diese Belegart die Standard-Belegart für ihre Kategorie?"},"active":{"type":"boolean","default":true,"description":"ist diese Belegart aktiv"},"shelfDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sequencerConfiguration":{"$ref":"#/components/schemas/common-sequencer-SequencerConfiguration"},"requiresBusinessRelationship":{"type":"boolean","default":true,"description":"Geschäftsbeziehung verpflichtend"},"publishingPolicy":{"type":"string","default":"MANUAL","description":"Verhalten zugeordnetem DMS-Dokument","enum":["AUTOMATIC","MANUAL"]},"sortOrder":{"type":"integer","format":"int32","description":"Sortierung"}},"required":["category"]},"erp-document-DocumentTypeLabel":{"description":"label/name of this type","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"languageCode":{"type":"string","description":"Language code"},"label":{"type":"string","description":"label/name of this type (for display)"},"labelPrintout":{"type":"string","description":"label/name of this type (for printout)"}},"required":["label","labelPrintout","languageCode"]},"erp-document-DocumentTypeFollowUp":{"description":"follow up document types","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"sourceDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"ist diese Folge-Belegart aktiv","readOnly":true}},"required":["sourceDocumentTypeRef","targetDocumentTypeRef"]},"common-sequencer-SequencerConfiguration":{"description":"Eigener Zählerkreis für Seriennummern","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"Unique key to identify the sequencer configuration","readOnly":true},"configurationGroup":{"type":"string","description":"Group of the sequencer configuration (e.g. Document, Account, ...)","readOnly":true},"configurationDetail":{"$ref":"#/components/schemas/common-sequencer-SequencerConfigurationDetail"},"alternativeConfiguration":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Sequencer aktiv?"}},"required":["configurationDetail"]},"common-sequencer-SequencerConfigurationDetail":{"description":"Contains details about the sequencer configuration","properties":{"type":{"type":"string","description":"Typ der Sequenz","enum":["NON_POOLED_SEQUENCES","POOLED_SEQUENCES","PREFETCHED_SEQUENCES"]},"assignmentMode":{"type":"string","description":"Vergabeverfahren","enum":["MANUAL","AUTOMATIC","SEMI_AUTOMATIC","FREE"]},"length":{"type":"integer","format":"int32","description":"Länge"},"padChar":{"type":"string","description":"Auffüllzeichen","maxLength":1,"minLength":1,"pattern":"^[0-9]*$"},"expression":{"type":"string","description":"Präfix-Ausdruck"},"postExpression":{"type":"string","description":"Postfix-Ausdruck"},"initialValue":{"type":"integer","format":"int64","description":"Initialer Wert"},"numberUnique":{"type":"boolean","default":true,"description":"Eindeutigkeitsprüfung"}},"required":["assignmentMode","initialValue","length","padChar","type"]},"erp-document-DocumentPosDetail":{"description":"Quittungsdetails","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"posRegisterRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashDrawerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashJournalRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"tssSignature":{"$ref":"#/components/schemas/erp-pos-TssSignature"},"externalReference":{"type":"string","description":"Externe Referenz","readOnly":true},"timeStart":{"type":"integer","format":"int64","description":"Transaktion Startzeit"},"timeEnd":{"type":"integer","format":"int64","description":"Transaktion Endzeit"},"clientSerialNumber":{"type":"string","description":"Client Seriennummer"},"tssSerialNumber":{"type":"string","description":"TSS Seriennummer"},"transactionNumber":{"type":"integer","format":"int64","description":"Transaktionsnummer"},"revision":{"type":"integer","format":"int32","description":"Revision"},"signatureCounter":{"type":"integer","format":"int64","description":"Signaturzähler"},"signature":{"type":"string","description":"Signatur"}}},"erp-pos-TssSignature":{"description":"TSS Signatur","properties":{"status":{"type":"string","description":"Status der Signierung","enum":["FINISHED","ACTIVE","CANCELLED","ERROR"],"readOnly":true},"responseData":{"type":"string","description":"Antwortdaten der TSS","readOnly":true},"externalReference":{"type":"string","description":"Externe Referenz","readOnly":true},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true}}},"erp-document-DocumentPosPayment":{"description":"Kassen-Zahlung im Beleg","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"amount":{"type":"number","description":"Betrag"},"posLineType":{"type":"string","description":"Typ der Position","enum":["CASH_PAYMENT","CASH_CHANGE","CARD_PAYMENT","CASH_START_BALANCE","CASH_FINAL_BALANCE","CASH_DEPOSIT","CASH_EXPENSE"]},"depositExpenseTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"posPaymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"externalPaymentId":{"type":"string","description":"Externe Payment-ID für Verbindung zum Payment-Backend","readOnly":true},"externalPaymentStatus":{"type":"string","description":"Status der externen Zahlung","enum":["PENDING","PROCESSING","SUCCESSFUL","CANCELLED","REJECTED"],"readOnly":true},"externalPaymentErrorMessage":{"type":"string","description":"Fehlermeldung vom Payment-Backend (nur bei fehlgeschlagener Zahlung)","readOnly":true},"paymentOperation":{"type":"string","description":"Art der Zahlungsoperation (PAYMENT, CANCEL, REFUND)","enum":["PAYMENT","CANCEL","REFUND"],"readOnly":true},"cancelledExternalPaymentId":{"type":"string","description":"Externe Payment-ID der zu stornierenden Zahlung (nur bei CANCEL)","readOnly":true}},"required":["amount","posLineType"]},"erp-document-DocumentResponse":{"properties":{"document":{"$ref":"#/components/schemas/erp-document-Document"},"hints":{"$ref":"#/components/schemas/erp-document-DocumentValidationHints"},"viewOptions":{"$ref":"#/components/schemas/erp-document-DocumentViewOptions"}}},"erp-document-Document":{"description":"document to update","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Belegnummer","maxLength":255,"minLength":0},"accountNumber":{"type":"string","description":"Kontonummer der zugehörigen Organisationseinheit","maxLength":255,"minLength":0,"readOnly":true},"customerNumber":{"type":"string","description":"Kundennummer","maxLength":255,"minLength":0,"readOnly":true},"ourCustomerNumber":{"type":"string","description":"Kundennummer beim Lieferanten","maxLength":255,"minLength":0,"readOnly":true},"supplierNumber":{"type":"string","description":"Lieferantennummer","maxLength":255,"minLength":0,"readOnly":true},"salesAgentNumber":{"type":"string","description":"Vertreternummer","maxLength":255,"minLength":0,"readOnly":true},"externalIdentifier":{"type":"string","description":"Externe Kennung","maxLength":255,"minLength":0},"externalNumber":{"type":"string","description":"Externe Belegnummer","maxLength":255,"minLength":0},"published":{"type":"boolean","default":false,"description":"Ist der Beleg veröffentlicht (gedruckt, per Mail versendet)?","readOnly":true},"qualifier":{"type":"string","description":"Art des Belegs","enum":["SALE","PURCHASE","COMMISSION","SALES_CONTRACT","PURCHASE_CONTRACT","POINT_OF_SALE","FABRICATION"],"readOnly":true},"accountId":{"type":"string","description":"ID der Organisationseinheit"},"billingAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentDate":{"type":"string","format":"date","description":"Belegdatum"},"performanceDate":{"type":"string","format":"date","description":"Leistungsdatum"},"valueDate":{"type":"string","format":"date","description":"Valutadatum"},"taxable":{"type":"boolean","default":true,"description":"Steuerpflichtig oder steuerfrei"},"taxIdentificationNumber":{"type":"string","description":"Umsatzsteuer-Identifikationsnummer","maxLength":255,"minLength":0},"taxIdVerificationState":{"type":"string","description":"Überprüfungsstatus der Steueridentifikationsnummer","enum":["NOT_YET_VERIFIED","VALID","VALID_WITH_INVALID_ADDRESS","INVALID","NOT_NEEDED"],"readOnly":true},"valitoolValidationState":{"type":"string","description":"Validierungsstatus bei elektronischen Rechnungen","enum":["NOT_VALIDATED","VALID","NOT_VALID"],"readOnly":true},"billingType":{"type":"string","description":"Abrechnungstyp","enum":["GROSS","NET"]},"documentType":{"type":"string","description":"Belegtyp (intern)","readOnly":true},"documentTypeId":{"type":"integer","format":"int64","description":"ID des Belegtyps","readOnly":true},"documentTypeCategory":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"],"readOnly":true},"documentState":{"$ref":"#/components/schemas/erp-document-DocumentTypeState"},"currencyCode":{"type":"string","description":"Währung (ISO-Code, Alpha-3)"},"exchangeRate":{"type":"number","description":"Wechselkurs"},"exchangeRateOrigin":{"type":"string","default":"AUTOMATIC","description":"Ursprung für Währungskursermittlung","enum":["AUTOMATIC","AUTOMATIC_FOR_CURRENT_DATE","USER_DEFINED"]},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"totalBeforeModifier":{"type":"number","description":"Gesamtpreis vor Rabatt [BRUTTO, NETTO]","readOnly":true},"totalPriceModifier":{"type":"number","description":"Rabatt gesamt [BRUTTO, NETTO]","readOnly":true},"totalLinePriceModifier":{"type":"number","description":"Positionsrabatt gesamt [BRUTTO, NETTO]","readOnly":true},"totalDocumentPriceModifier":{"type":"number","description":"Belegrabatt gesamt [BRUTTO, NETTO]","readOnly":true},"totalNetPrice":{"type":"number","description":"Gesamtpreis netto","readOnly":true},"totalVat":{"type":"number","description":"Gesamte Mehrwertsteuer","readOnly":true},"totalGrossPrice":{"type":"number","description":"Gesamtpreis brutto","readOnly":true},"paymentTermRef":{"$ref":"#/components/schemas/erp-document-PaymentTermRef"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositPaymentAmount":{"type":"number","description":"Vereinbarter Anzahlungsbetrag"},"depositPaymentDate":{"type":"string","format":"date","description":"Vereinbartes Anzahlungsdatum","readOnly":true},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryDate":{"type":"string","format":"date","description":"Voraussichtliches Lieferdatum"},"deliveryDateEnd":{"type":"string","format":"date","description":"Voraussichtliches Lieferende (nur wenn Lieferdatum gesetzt)"},"confirmedDeliveryDate":{"type":"string","format":"date","description":"Bestätigtes Lieferdatum"},"confirmedDeliveryDateEnd":{"type":"string","format":"date","description":"Bestätigtes Lieferende (nur wenn bestätigtes Lieferdatum gesetzt)"},"shippingDate":{"type":"string","format":"date","description":"Versanddatum"},"deliveryQuantityPackages":{"type":"integer","format":"int32","description":"Voraussichtliche Paketanzahl (nur Info)"},"deliveryText":{"type":"string","description":"Zusätzlicher Liefertext","maxLength":255,"minLength":0},"deliveryApproved":{"type":"boolean","default":true,"description":"Ist der Beleg zur Lieferung freigegeben?"},"dropShippingInvoiceApproved":{"type":"boolean","description":"Ist der Streckengeschäfts-Beleg zur Rechnung freigegeben?","readOnly":true},"orderedOn":{"type":"string","format":"date","description":"Bestelldatum"},"orderedByPersonRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderedBy":{"type":"string","description":"Name der bestellenden Person","maxLength":255,"minLength":0},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Reverse-Charge-Verfahren nach §13b UStG?"},"collectiveInvoice":{"type":"boolean","default":false,"description":"Sammelrechnung?"},"texts":{"type":"array","description":"Liste der Belegtexte","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"lines":{"type":"array","description":"Liste der Belegpositionen","items":{"$ref":"#/components/schemas/erp-document-DocumentLine"}},"shippingCosts":{"type":"array","description":"Versandkostenpositionen","items":{"$ref":"#/components/schemas/erp-document-DocumentShippingCost"}},"posPayments":{"type":"array","description":"Kassen-Zahlungspositionen","items":{"$ref":"#/components/schemas/erp-document-DocumentPosPayment"}},"shippingCostSum":{"type":"number","description":"Summe der Versandkosten (netto/brutto)","readOnly":true},"priceModifiers":{"type":"array","description":"Preisänderungen (z.B. Rabatte)","items":{"$ref":"#/components/schemas/erp-document-DocumentPriceModifier"}},"taxes":{"type":"array","description":"Steuerzusammenfassung für diesen Beleg","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"},"readOnly":true},"defaultAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"billingAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"deliveryAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"stackProcessingType":{"type":"string","description":"Stapelverarbeitungsinformationen für Aufträge","enum":["NO_PICKING","ACCORDING_TO_CRITERIA","ONLY_FULL_ORDER","ONLY_FULL_ORDER_LINES","AVAILABLE_QUANTITIES","NO_PROCESSING","FULL_ORDER_LINES_MAX_TWO_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_TWO_PARTIAL_DELIVERIES","FULL_ORDER_LINES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_FINISH_ORDER"]},"stackProcessingPriority":{"type":"integer","format":"int32","description":"Priorität in der Stapelverarbeitung"},"maxDeliveries":{"type":"integer","format":"int32","description":"Maximal mögliche Lieferungen"},"taxPerformanceLocation":{"type":"string","description":"Ort der steuerlichen Leistungserbringung","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"performanceCountryCode":{"type":"string","description":"Länderkennzeichen Leistungsland (ISO Alpha-3)"},"sourceCountryCode":{"type":"string","description":"Länderkennzeichen Ursprungsland (ISO Alpha-3)"},"afterPickingTargetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"grossWeight":{"type":"number","description":"Gesamtbruttogewicht"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"userDefinedWeight":{"type":"boolean","default":false,"description":"Gesamtgewicht wurde manuell gesetzt"},"tags":{"type":"array","description":"Tags für diesen Beleg","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"reportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashDiscountableTotalGrossPrice":{"type":"number","description":"Skontofähiger Bruttogesamtbetrag","readOnly":true},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentPosDetail"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentFabricationDetail"},"buyerReference":{"type":"string","description":"Leitweg-ID","maxLength":255,"minLength":0},"en16931Profile":{"type":"string","description":"EN16931-Profil für elektronische Rechnungen","enum":["ZUGFERD","XRECHNUNG","NO_EN_PROFILE"]},"importType":{"type":"string","description":"Importmodus des Belegs","enum":["NOT_IMPORTED","TRANSFERABLE","TRANSFERABLE_AND_EDITABLE","HISTORICAL_DATA","E_INVOICE"],"readOnly":true},"paymentPlan":{"type":"boolean","default":false,"description":"Zahlungsplan vorhanden?"},"calculationMode":{"type":"string","description":"Berechnungsmodus","enum":["HORIZONTAL","VERTICAL"]},"processedByWorkflow":{"type":"boolean","description":"Wird vom Workflow verarbeitet?","readOnly":true},"referencedOrderNumber":{"type":"string","description":"Bestellnummer aus Vorbeleg","readOnly":true},"additionalInfo":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo"},"languageCode":{"type":"string","description":"Sprache"},"baseCurrencyCode":{"type":"string","description":"Basiswährung des Belegs"},"baseTotalNetPrice":{"type":"number","description":"Gesamtpreis - Netto Basiswährung"},"baseTotalLinePriceModifier":{"type":"number","description":"Preisanpassungen - Belegpositionssumme Basiswährung"},"baseTotalDocumentPriceModifier":{"type":"number","description":"Preisanpassungen - Beleg Basiswährung"},"baseTotalGrossPrice":{"type":"number","description":"Gesamtpreis - Brutto Basiswährung"},"baseDepositPaymentAmount":{"type":"number","description":"Vorkassebetrag Basiswährung"},"baseCashDiscountableTotalGrossPrice":{"type":"number","description":"skontierbarer Rechnungsbetrag Basiswährung"},"forwardEmailToShipper":{"type":"boolean","default":false,"description":"E-Mail an Versender übergeben"},"forwardPhoneToShipper":{"type":"boolean","default":false,"description":"Telefon an Versender übergeben"},"posReceiptPaymentSum":{"type":"number","description":"Quittung: Summe Zahlbetrag"},"posReceiptBalance":{"type":"number","description":"Quittung: Saldo\npositiver Wert: Betrag der noch zu zahlen ist\nnegativer Wert: überzahlter Betrag / Rückgeld\n"},"posReceiptChangeAmount":{"type":"number","description":"Rückgeld"},"posReceiptBalanced":{"type":"boolean","default":false,"description":"Ist die Quittung ausbalanciert, also bezahlt und kein Rückgeld\ntrue wenn die Quittung ausbalanciert ist\n"},"posReceiptPayed":{"type":"boolean","default":false,"description":"Ist die Quittung bezahlt\ntrue wenn die Quittung bezahlt ist\n"},"dropShipping":{"type":"boolean","description":"Streckengeschäft","readOnly":true},"totalGrossVolumeInCubicMeters":{"type":"number","description":"total gross Volume in cubic meters","readOnly":true}},"required":["accountId","billingType","calculationMode","currencyCode","defaultAddress","deliveryApproved","documentDate","number"]},"erp-document-DocumentTypeState":{"description":"Statusinstanz des Belegs","properties":{"label":{"type":"string","description":"label/name of this state"},"key":{"type":"string","description":"unique key for this state"},"definition":{"type":"string","description":"additional state information","enum":["SELECTABLE_TYPES","EDITABLE","DELETED"]}},"required":["key","label"]},"erp-document-PaymentTermRef":{"description":"Refernez auf PaymentTerm mit Kennzeichen Anzahlung/Vorkasse","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true},"paymentType":{"type":"string","description":"payment type","enum":["PREPAYMENT","PAYMENT","DEPOSIT"]}},"required":["id","paymentType"]},"erp-document-DocumentText":{"description":"Texte","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"textPosition":{"type":"string","default":"HEADER_TEXT","description":"position relative to the product line OR Document. For usage within text-line, this position is irrelevant","enum":["HEADER_TEXT","FOOTER_TEXT"]},"content":{"type":"string","description":"if this attribute is used, the text is used as free-text"},"textTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transferableIntoSubsequentDocuments":{"type":"boolean","default":true,"description":"Does this text remain after transfer into a subsequent document"},"deleted":{"type":"boolean","default":false,"description":"Wurde entfernt und soll deshalb nicht mehr angezeigt werden."},"initialized":{"type":"boolean","description":"ist der content befüllt?","readOnly":true}},"required":["deleted"]},"erp-document-DocumentLine":{"description":"Liste der Belegpositionen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"position":{"type":"integer","format":"int32","description":"Positions-Nummer","readOnly":true},"positionOfArticleLine":{"type":"integer","format":"int32","description":"Positionsnummer über alle Artikelpositionen hinweg","readOnly":true},"articleId":{"type":"string","description":"Artikel"},"lineType":{"type":"string","description":"Positionstyp","enum":["ARTICLE_LINE","ALTERNATIVE_POSITION","LINK_POSITION","OPTIONAL_POSITION","TEXT_LINE","SHIPPING_COST_LINE","SUBTOTAL","POS"]},"productType":{"type":"string","description":"Artikelarten","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"]},"serialType":{"type":"string","description":"Serientyp eines Artikels","enum":["NONE","SERIAL_NUMBER","LOT","DOUBLE_SERIAL_NUMBER"],"readOnly":true},"number":{"type":"string","description":"Artikelnummer","maxLength":255,"minLength":0},"name":{"type":"string","description":"Name des Artikels","maxLength":255,"minLength":0},"description":{"type":"string","description":"Beschreibung des Artikels","maxLength":2147483647,"minLength":0},"unitType":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"price":{"type":"number","description":"Preis pro Menge [Brutto, Netto]"},"priceUnit":{"type":"number","description":"Preiseinheit"},"priceOrigin":{"type":"string","description":"Preisherkunft","enum":["USER_DEFINED","PRODUCT","PREDECESSOR_DOCUMENT","PICKLIST"],"readOnly":true},"priceSelectionCriteria":{"$ref":"#/components/schemas/erp-product-PriceSelectionCriteria"},"quantity":{"type":"number","description":"Menge"},"quantityCommitted":{"type":"number","description":"verarbeitete Menge","readOnly":true},"pickingQuantity":{"type":"number","description":"Menge in Pick-Vorgang","readOnly":true},"preOrderPickedQuantity":{"type":"number","description":"vorgeorderte Menge in Pickvorgang","readOnly":true},"complete":{"type":"boolean","default":false,"description":"ist diese Position komplett verarbeitet?","readOnly":true},"taxSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxes":{"type":"array","description":"Steuern","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"}},"totalLinePriceModifier":{"type":"number","description":"Summe Positionspreisänderungen [Brutto, Netto]","readOnly":true},"totalDocumentPriceModifier":{"type":"number","description":"Summe Dokumentpreisänderungen [Brutto, Netto]","readOnly":true},"priceModifiers":{"type":"array","description":"angewendete Preisänderungen","items":{"$ref":"#/components/schemas/erp-document-DocumentPriceModifier"}},"salesValueNet":{"type":"number","description":"Netto-Gesamtpreis (nach Preisänderungen)","readOnly":true},"vat":{"type":"number","description":"Steuerbetrag","readOnly":true},"totalLinePrice":{"type":"number","description":"Positionssumme [Brutto, Netto], also Preis*Menge ./. Positionsrabatte","readOnly":true},"texts":{"type":"array","description":"Positionstexte","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"country":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"countryRegion":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customsTariffNumber":{"type":"string","description":"Zolltarifnummer","maxLength":15,"minLength":0},"deliveryDate":{"type":"string","format":"date","description":"Lieferdatum"},"deliveryDateEnd":{"type":"string","format":"date","description":"vorr. Ende des Lieferzeitraums (nur notwendig für Lieferzeiträume, wenn Lieferdatum gesetzt)"},"confirmedDeliveryDate":{"type":"string","format":"date","description":"bestätigtes Lieferdatum"},"confirmedDeliveryDateEnd":{"type":"string","format":"date","description":"bestätigtes Ende des Lieferzeitraums (nur notwendig für Lieferrzeiträume, wenn Lieferdatum gesetzt)"},"shippingDate":{"type":"string","format":"date","description":"Versanddatum"},"deliveryText":{"type":"string","description":"Liefertext","maxLength":255,"minLength":0},"packageOptions":{"type":"string","description":"Versenderspezifische Informationen"},"externalReferenceVds":{"type":"string","description":"Externe Referenz zum VDS-Paket","maxLength":255,"minLength":0},"netWeight":{"type":"number","description":"Nettogewicht"},"totalNetWeight":{"type":"number","description":"Gesamtnettogewicht"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossWeight":{"type":"number","description":"Bruttogewicht"},"totalGrossWeight":{"type":"number","description":"Gesamtbruttogewicht"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"sourceLineRef":{"$ref":"#/components/schemas/erp-document-DocumentLineRef"},"baseLineId":{"type":"integer","format":"int64","description":"Referenz zur Basiszeile"},"mainArticleLineRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerOrderLineRef":{"$ref":"#/components/schemas/erp-document-DocumentLineRef"},"supplierOrderLineIds":{"type":"array","description":"Referenz zur Lieferantenbestellungszeile","items":{"type":"integer","format":"int64","description":"Referenz zur Lieferantenbestellungszeile"}},"storage":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"components":{"type":"array","description":"Komponenten","items":{"$ref":"#/components/schemas/erp-document-DocumentLineComponent"}},"bookings":{"type":"array","description":"Buchungen","items":{"$ref":"#/components/schemas/erp-document-DocumentLineBooking"}},"commissions":{"type":"array","description":"Provisionen","items":{"$ref":"#/components/schemas/erp-document-DocumentLineCommission"}},"previousDecisions":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"articleTaxLiabilityReversed":{"type":"boolean","default":false,"description":"Vorgabe §13b UStG Artikel","readOnly":true},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"wird §13b UStG angewendet?","readOnly":true},"presetPrice":{"type":"number","description":"Vorgabewert für die Preiskalkulation","readOnly":true},"calculationData":{"type":"string","description":"Kalkulationsstruktur"},"revenueCalculation":{"$ref":"#/components/schemas/erp-document-RevenueCalculation"},"commissionOrigin":{"type":"string","description":"Provisionsursprung","enum":["NOT_COMMISSIONABLE","USER_DEFINED","AUTOMATIC","PREDECESSOR","RECALCULATE"]},"cashDiscountable":{"type":"boolean","default":true,"description":"skontierbare Position?"},"discountable":{"type":"boolean","default":true,"description":"rabattierbare Position?"},"commissionable":{"type":"boolean","default":false,"description":"provisionierbare Position?"},"warrantyInMonths":{"type":"integer","format":"int32","description":"Garantie in Monaten"},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentLinePosDetail"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationDetail"},"financeBooking":{"$ref":"#/components/schemas/erp-document-DocumentFinanceBooking"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variantValues":{"type":"array","description":"Produktvariantenwerte","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true},"performanceDate":{"type":"string","format":"date","description":"Leistungsdatum"},"basePrice":{"type":"number","description":"Preis pro Einheit in Basiswährung"},"baseTotalLinePriceModifier":{"type":"number","description":"Preisanpassungen - Position Basiswährung"},"baseTotalDocumentPriceModifier":{"type":"number","description":"Preisanpassungen - anteilig durch Beleg Basiswährung"},"baseTotalLinePrice":{"type":"number","description":"Gesamtpreis Position in Basiswährung"},"baseSalesValueNet":{"type":"number","description":"Nettoverkaufswert der Position in Basiswährung"},"progressInvoice":{"type":"boolean","default":false,"description":"Abschlagsposition?"},"dropShippingPolicy":{"type":"string","description":"Definiert, ob und wie ein Artikel per Streckengeschäft verkauft werden darf","enum":["ANY","DROP_SHIPPING","STORAGE","STORAGE_WITH_FALLBACK_TO_DROP_SHIPPING"]},"unitGrossVolumeInCubicMeters":{"type":"number","description":"unit gross Volume in cubic meters"},"totalGrossVolumeInCubicMeters":{"type":"number","description":"unit gross Volume in cubic meters","readOnly":true},"convertedIntoBundleArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"insertTerm":{"type":"string","description":"Zubehör Einfügeart","enum":["MANUAL","AUTOMATIC_QUANTITY_IF_ACCESSORY_INSERTED","AUTOMATIC_PROPORTIONAL_QUANTITY","AUTOMATIC_FIXED_QUANTITY"]},"hasAccessories":{"type":"boolean","default":false,"description":"Hat der Artikel Zubehör?"}},"required":["lineType"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-product-PriceSelectionCriteria":{"description":"Preisermittlungskriterien","properties":{"qualifier":{"type":"string","description":"ein qualifier","enum":["SALES","PURCHASE"]},"articleIds":{"type":"array","description":"Liste von Artikel-IDs","items":{"type":"integer","format":"int64","description":"Liste von Artikel-IDs"}},"selectOnlyDefaultPrice":{"type":"boolean","default":false,"description":"soll nur der Standardpreis selektiert werden?"},"accountIds":{"type":"array","description":"Liste von Account-IDs","items":{"type":"integer","format":"int64","description":"Liste von Account-IDs"}},"productGroupId":{"type":"integer","format":"int64","description":"Die Warengruppe"},"priceGroupId":{"type":"integer","format":"int64","description":"Die Preisgruppe"},"date":{"type":"string","format":"date","description":"Ein Datum"},"quantity":{"type":"number","description":"Eine Menge"},"noteSpecialOfferPrice":{"type":"boolean","description":"Aktionspreis beachten?"}}},"erp-document-DocumentTax":{"description":"Steuerzusammenfassung für diesen Beleg","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxableAmount":{"type":"number","description":"taxable amount"},"taxValue":{"type":"number","description":"tax value"},"grossAmount":{"type":"number","description":"gross amount"},"taxType":{"type":"string","description":"Steuer-Typ","enum":["VAT"]},"taxFree":{"type":"boolean","default":false,"description":"Steuerfrei?"},"baseTaxableAmount":{"type":"number","description":"Besteuerbarer Betrag in Basiswährung"},"baseTaxValue":{"type":"number","description":"Steuerbetrag in Basiswährung"},"baseGrossAmount":{"type":"number","description":"Bruttobetrag in Basiswährung"}}},"erp-document-DocumentPriceModifier":{"description":"Preisänderungen (z.B. Rabatte)","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name of modifier"},"valueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"value":{"type":"number","description":"Value"},"calculatedValue":{"type":"number","description":"calculated discount/surcharge"},"sourceType":{"type":"string","description":"Source of price modifier","enum":["CUSTOM","PRODUCT","DISCOUNT_GROUP"]},"sourceId":{"type":"integer","format":"int64","description":"ID of Source entity of price modifier"},"modifierType":{"type":"string","description":"modifierType","enum":["DISCOUNT","SURCHARGE"]},"baseValue":{"type":"number","description":"Wert des Modifiers in Basiswährung"},"baseCalculatedValue":{"type":"number","description":"Berechneter Wert des Modifiers in Basiswährung"}},"required":["modifierType","value","valueType"]},"common-masterdata-CountryReference":{"description":"Country code","properties":{"id":{"type":"integer","format":"int64","description":"ID des Landes"},"isoAlpha2":{"type":"string","description":"IsoAlpha2-Code des Landes"},"label":{"type":"string","description":"Bezeichnung des Landes","readOnly":true}}},"erp-document-DocumentLineRef":{"description":"Referenz auf eine Documentline","properties":{"id":{"type":"integer","format":"int64","description":"Id der Dokumentzeile"},"documentId":{"type":"integer","format":"int64","description":"Id des Dokuments"},"category":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Belegart"},"documentState":{"type":"string","description":"Belegstatus"},"number":{"type":"string","description":"Belegnummer"},"articleNumber":{"type":"string","description":"Artikelnummer"},"position":{"type":"integer","format":"int32","description":"Positions-Nummer"},"name":{"type":"string","description":"Artikelbezeichnung","maxLength":2147483647,"minLength":0},"quantity":{"type":"number","description":"quantity"},"price":{"type":"number","description":"price per quantity [GROSS, NET]"},"displayName":{"type":"string","description":"Kurzbezeichnung des Kunden"}},"required":["id"]},"erp-document-DocumentLineComponent":{"description":"Komponenten","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"string","description":"Referenz auf den Artikel der Komponente"},"serialType":{"type":"string","description":"Serientyp eines Artikels","enum":["NONE","SERIAL_NUMBER","LOT","DOUBLE_SERIAL_NUMBER"],"readOnly":true},"quantity":{"type":"number","description":"Menge"},"quantityCommitted":{"type":"number","description":"Gelieferte Menge"},"pickingQuantity":{"type":"number","description":"Menge in Kommissionierung"},"quantityPerAssemblyGroup":{"type":"number","description":"Menge pro Baugruppe"},"name":{"type":"string","description":"Name des Artikels","maxLength":255,"minLength":0},"description":{"type":"string","description":"Beschreibung des Artikels","maxLength":2048,"minLength":0},"position":{"type":"integer","format":"int32","description":"Position der Komponente in der Baugruppe"},"sourceDocumentLineComponentId":{"type":"integer","format":"int64","description":"Referenz auf die Komponente im Quell-Document"},"bookings":{"type":"array","description":"Buchungen zu dieser Komponente","items":{"$ref":"#/components/schemas/erp-document-DocumentLineBooking"}},"texts":{"type":"array","description":"Texte zu dieser Komponente","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineComponentFabricationDetail"}},"required":["quantity"]},"erp-document-DocumentLineBooking":{"description":"Buchungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"quantity":{"type":"number","description":"Gebuchte Menge"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Seriennummer 1","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Seriennummer 2","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Haltbarkeitsdatum"},"note":{"type":"string","description":"Notiz"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["quantity","storageBinRef"]},"erp-fabrication-DocumentLineComponentFabricationDetail":{"description":"Produktionsdetails zu einer Komponente","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"serialInheritanceComponent":{"type":"boolean","default":false,"description":"Für S/N-Vererbung verwenden"},"deviatingUnitPrice":{"type":"number","description":"Abweichende Herstellungskosten"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"erp-document-DocumentLineCommission":{"description":"Provisionen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salesAgentAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"description":{"type":"string","description":"Beschreibung"},"comment":{"type":"string","description":"Kommentar"},"valueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"value":{"type":"number","description":"Provision Prozent/Wert"},"origin":{"type":"string","description":"Herkunft","enum":["NOT_COMMISSIONABLE","USER_DEFINED","AUTOMATIC","PREDECESSOR","RECALCULATE"]},"valueCurrencyCode":{"type":"string","description":"the currency-code IsoAlpha3"}},"required":["origin","salesAgentAccountRef","value","valueType"]},"erp-document-RevenueCalculation":{"description":"Rohertragsermittlung","properties":{"productPurchasePrice":{"type":"number","description":"Einkaufspreis","readOnly":true},"salesValue":{"type":"number","description":"Netto Umsatz","readOnly":true},"revenue":{"type":"number","description":"Deckungsbeitrag (absolut)","readOnly":true},"revenueInPercent":{"type":"number","description":"Deckungsbeitrag (Prozent)","readOnly":true}}},"erp-fabrication-DocumentLineFabricationDetail":{"description":"Produktionsdetails zu einer Position","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"serialNumbers":{"type":"array","description":"Produzierte Seriennummern","items":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationDetailSerialNumber"}},"quantityCommitted":{"type":"number","description":"Menge produziert"},"quantityInQA":{"type":"number","description":"Menge in QS"},"quantityDefective":{"type":"number","description":"Menge defekt"},"quantityFinished":{"type":"number","description":"Menge abgeschlossen"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"erp-fabrication-DocumentLineFabricationDetailSerialNumber":{"description":"Produzierte Seriennummern zu einer Position","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Produzierte/geplante Menge"},"quantityCommitted":{"type":"number","description":"Tatsächlich produzierte Menge"},"quantityInQA":{"type":"number","description":"Menge in QS"},"quantityDefective":{"type":"number","description":"Menge defekt"},"quantityFinished":{"type":"number","description":"Menge abgeschlossen"},"bookedComponents":{"type":"array","description":"Gebuchte Komponenten","items":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationBookedComponent"}}},"required":["quantity","quantityCommitted","serialNumber"]},"erp-product-ArticleSerialNumber":{"description":"Seriennummer","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Seriennummer 1","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Seriennummer 2","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Haltbarkeitsdatum"},"note":{"type":"string","description":"Notiz"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"erp-fabrication-DocumentLineFabricationBookedComponent":{"description":"Gebuchte Komponenten zu einer produzierten Seriennummer","properties":{"articleId":{"type":"integer","format":"int64","description":"ID des Artikels"},"number":{"type":"string","description":"Nummer des Artikels"},"name":{"type":"string","description":"Name des Artikels"},"description":{"type":"string","description":"Beschreibung des Artikels"},"quantity":{"type":"number","description":"Verwendete Menge"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-document-DocumentShippingCost":{"description":"Versandkosten im Beleg","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"costs":{"type":"number","description":"Die Versandkosten"},"manualCosts":{"type":"boolean","default":false,"description":"Wurden die Versandkosten manuell eingetragen?"},"freeShipping":{"type":"boolean","default":false,"description":"Keine Versandkosten (freier Versand)"},"name":{"type":"string","description":"Artikelname"},"description":{"type":"string","description":"Artikelbeschreibung"},"texts":{"type":"array","description":"Texte","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"taxes":{"type":"array","description":"Steuern","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"}},"purchasePrice":{"type":"number","description":"Einkaufspreis"}}},"erp-document-DocumentAddress":{"description":"Lieferadresse","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"address line 1"},"name2":{"type":"string","description":"address line 2"},"name3":{"type":"string","description":"address line 3"},"globalLocationNumber":{"type":"string","description":"GLN"},"street":{"type":"string","description":"Street"},"streetAddressNumber":{"type":"string","description":"Street address number"},"additionalAddressLine1":{"type":"string","description":"Additional address line1"},"additionalAddressLine2":{"type":"string","description":"Additional address line2"},"city":{"type":"string","description":"city"},"regionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"postcode":{"type":"string","description":"Postcode"},"postOfficeBox":{"type":"string","description":"Post office box"},"countryCode":{"type":"string","description":"country code IsoAlpha3"},"phoneContact":{"type":"string","description":"Phone contact"},"mailContact":{"type":"string","description":"Mail contact"},"languageCode":{"type":"string","description":"Language Code"},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-fabrication-DocumentFabricationDetail":{"description":"Produktionsdetails","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"startDate":{"type":"string","format":"date","description":"Startdatum"},"minimumDegreeOfFulfillment":{"type":"integer","format":"int32","description":"Minimaler Erfüllungsgrad","maximum":100,"minimum":0},"note":{"type":"string","description":"Notiz","maxLength":2147483647,"minLength":0},"componentsStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"workbenchStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"workbenchStorageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"qualityAssuranceStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"qualityAssuranceStorageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defectiveStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defectiveStorageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"erp-document-DocumentAdditionalInfo":{"description":"Zusätzliche Infos zu Entscheidungen im Belegkontext","properties":{"calculationModeOrigin":{"type":"string","description":"Herkunft des Berechnungsmodus","enum":["FROM_BILLING_ADDRESS","FROM_DEFAULT_ADDRESS","FROM_ACCOUNT","FROM_SALES_CHANNEL","FROM_DOCUMENT_PARAMS","USER_DEFINED"],"readOnly":true},"en16931Origin":{"type":"string","description":"Herkunft des E-Rechnungs-Profils","enum":["FROM_BILLING_ADDRESS","FROM_DEFAULT_ADDRESS","FROM_ACCOUNT_PARAMS","USER_DEFINED"],"readOnly":true},"buyerReferenceOrigin":{"type":"string","description":"Herkunft der Käufer-Referenz","enum":["FROM_BILLING_ADDRESS","FROM_DEFAULT_ADDRESS","USER_DEFINED"],"readOnly":true},"previousDecisions":{"type":"string","description":"Enthält die Ergebnisse von vorherigen Entscheidungen des Benutzers zu diesem Document","readOnly":true},"taxSituationOrigin":{"type":"string","description":"Steuersachverhalt Herkunft","enum":["UNDEFINED","USER_DEFINED","FROM_CUSTOMER","FROM_SUPPLIER","FROM_SALES_AGENT","FROM_DELIVERY_ADDRESS","FROM_DEFAULT_ADDRESS","FROM_OWN_ADDRESS","FROM_TAX_ID"]},"languageCodeOrigin":{"type":"string","description":"Herkunft der Sprache","enum":["FROM_DELIVERY_ADDRESS","FROM_BILLING_ADDRESS","FROM_DEFAULT_ADDRESS","FROM_MY_COMPANY"]},"contextParameters":{"type":"array","description":"Parameter, welche im {@link DocumentContext} verwendet wurden","items":{"$ref":"#/components/schemas/common-api-AdditionalParameter"}},"incomingGoodsTarget":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo.IncomingGoodsTarget"},"translations":{"type":"array","description":"Übersetzungen","items":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo.PrintedTranslatedField"}},"incomingGoodsTargetsPerLine":{"type":"array","description":"Ziele für den Wareneingang je Belegposition","items":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo.IncomingGoodsTargetOfLine"}},"orderIntoPickingConvertResults":{"type":"array","description":"Ergebnisse zu Übernahme \"Auftrag in Kommissionierung\"","items":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo.OrderIntoPickingConvertResult"}}}},"erp-document-DocumentAdditionalInfo.IncomingGoodsTarget":{"description":"Ziele für den Wareneingang","properties":{"storageBinId":{"type":"integer","format":"int64","description":"Lagerplatz für den Wareneingang"},"pickTrolleyId":{"type":"integer","format":"int64","description":"Pickwagen für den Wareneingang"}}},"erp-document-DocumentAdditionalInfo.PrintedTranslatedField":{"description":"Übersetzungen","properties":{"entityName":{"type":"string","description":"zur welcher Entity?"},"fieldName":{"type":"string","description":"name des Feldes"},"content":{"type":"string","description":"Übersetzung"}}},"erp-document-DocumentAdditionalInfo.IncomingGoodsTargetOfLine":{"description":"Ziele für den Wareneingang","properties":{"storageBinId":{"type":"integer","format":"int64","description":"Lagerplatz für den Wareneingang"},"pickTrolleyId":{"type":"integer","format":"int64","description":"Pickwagen für den Wareneingang"},"lineId":{"type":"integer","format":"int64","description":"ID einer Belegposition"},"sourceLineId":{"type":"integer","format":"int64","description":"ID einer Vorbelegposition"}}},"erp-document-DocumentAdditionalInfo.OrderIntoPickingConvertResult":{"description":"Ergebnis der Übernahme eines Auftrags in Kommissionierung","properties":{"testRun":{"type":"boolean","default":false,"description":"War es eine Testübernahme?"},"success":{"type":"boolean","default":false,"description":"War die Übernahme erfolgreich?"},"logText":{"type":"string","description":"Protokoll der Übernahme"}}},"erp-document-DocumentValidationHints":{"description":"Hinweise","properties":{"details":{"type":"array","description":"Hinweise aus der Validierung im Error-Format","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"}}}},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"erp-document-DocumentViewOptions":{"description":"Extra-Anzeigen","properties":{"revenueCalculation":{"$ref":"#/components/schemas/erp-document-RevenueCalculation"},"loanValue":{"$ref":"#/components/schemas/erp-account-AccountLoanValue"},"considerForCreditLimit":{"type":"boolean","description":"Wird dieser Beleg für das Kreditlimit berücksichtigt","readOnly":true},"financeJournalAccountingInformation":{"$ref":"#/components/schemas/erp-finance-FinanceJournalAccountingInformation"},"possiblePredecessorTypes":{"type":"array","description":"mögliche Vorbeleg-Typen","items":{"type":"string","description":"mögliche Vorbeleg-Typen"}},"sumAmountOfProgressInvoices":{"type":"number","description":"Gesamtbetrag der Abschlagsrechnungen"},"sumAmountOfDepositInvoices":{"type":"number","description":"Gesamtbetrag der Anzahlungsrechnungen"},"depositInvoiceRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sumOpenAmountForProgressInvoices":{"type":"number","description":"offener Gesamtbetrag für Abschlagsrechnungen"},"totalAmountDependingFromBillingType":{"type":"number","description":"Gesamtbetrag abh. von der Fakturierungsart"}}},"erp-finance-FinanceJournalAccountingInformation":{"description":"Fibu-Informationen","properties":{"accountingStatus":{"type":"string","description":"Fibu-Status Dokumenten-Journaleintrag","enum":["PROCESSING","OPEN","IGNORED","COMMITTED","COMMITTED_REVERTABLE"],"readOnly":true},"financeBookingRunRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accountingStatusUpdatedDate":{"type":"string","format":"date-time","description":"Fibu-Übergabedatum","readOnly":true},"runState":{"type":"string","description":"Verarbeitungsstatus","enum":["PROCESSING","OPEN","COMMITTABLE","COMMITTED","REVERTED"],"readOnly":true}}}}}}
```

## PUT /erp/documents

> update an existing document

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Document","description":"the Document API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/documents":{"put":{"tags":["Document"],"summary":"update an existing document","operationId":"updateDocument","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentResponse"}}}}}}}},"components":{"schemas":{"erp-document-DocumentUpdateRequest":{"properties":{"document":{"$ref":"#/components/schemas/erp-document-Document"},"parameters":{"type":"array","description":"additional parameters for transition","items":{"$ref":"#/components/schemas/common-api-AdditionalParameter"}}},"required":["document"]},"erp-document-Document":{"description":"document to update","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Belegnummer","maxLength":255,"minLength":0},"accountNumber":{"type":"string","description":"Kontonummer der zugehörigen Organisationseinheit","maxLength":255,"minLength":0,"readOnly":true},"customerNumber":{"type":"string","description":"Kundennummer","maxLength":255,"minLength":0,"readOnly":true},"ourCustomerNumber":{"type":"string","description":"Kundennummer beim Lieferanten","maxLength":255,"minLength":0,"readOnly":true},"supplierNumber":{"type":"string","description":"Lieferantennummer","maxLength":255,"minLength":0,"readOnly":true},"salesAgentNumber":{"type":"string","description":"Vertreternummer","maxLength":255,"minLength":0,"readOnly":true},"externalIdentifier":{"type":"string","description":"Externe Kennung","maxLength":255,"minLength":0},"externalNumber":{"type":"string","description":"Externe Belegnummer","maxLength":255,"minLength":0},"published":{"type":"boolean","default":false,"description":"Ist der Beleg veröffentlicht (gedruckt, per Mail versendet)?","readOnly":true},"qualifier":{"type":"string","description":"Art des Belegs","enum":["SALE","PURCHASE","COMMISSION","SALES_CONTRACT","PURCHASE_CONTRACT","POINT_OF_SALE","FABRICATION"],"readOnly":true},"accountId":{"type":"string","description":"ID der Organisationseinheit"},"billingAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentDate":{"type":"string","format":"date","description":"Belegdatum"},"performanceDate":{"type":"string","format":"date","description":"Leistungsdatum"},"valueDate":{"type":"string","format":"date","descrip
[...]
